.task {
    border-radius: rem(22);
    padding: rem(24) rem(16);
    background: var(--gray-200);
    display: flex;
    flex-direction: column;
    row-gap: rem(24);

    &__header {
        margin: 0;
        font-weight: 500;
        font-size: rem(24);
        line-height: rem(30);
        font-family: var(--font-secondary);
    }

    &__content {
        color: black;
        font-size: rem(15);
        line-height: 140%;

        p {
            margin-bottom: rem(12);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__image {
        display: block;
        overflow: hidden;
        border-radius: rem(12);
    }

    &__pagination {
        left: auto;
        right: auto;
        bottom: auto;
        font-size: 0;
        line-height: 0;
        position: relative;
        padding-top: rem(16);
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: rem(8);

        .swiper-pagination-bullet {
            width: 6px;
            height: 6px;
            display: block;
            flex-shrink: 0;
            cursor: pointer;
            border-radius: 8px;
            border: 1px solid var(--rose);
            transition: var(--transition-time);

            &:hover {
                background: var(--rose);
            }
        }

        .swiper-pagination-bullet-active {
            width: 30px;
            background: var(--rose);
            transition: var(--transition-time);
        }
    }

    &__navigation {
        display: flex;
        align-items: center;
        column-gap: rem(8);
        margin-top: rem(22);
    }

    &__nav {
        padding: 0;
        font-size: 0;
        line-height: 0;
        width: rem(48);
        height: rem(48);
        cursor: pointer;
        overflow: hidden;
        fill: var(--black);
        border-radius: rem(12);
        border: 1px solid var(--rose);
        transition: var(--transition-time);
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            display: block;
            flex-shrink: 0;
            width: rem(24);
        }

        &:hover {
            background: var(--rose);
        }
    }

    &__pattern {
        display: none;
        position: relative;
        overflow: hidden;

        &:before {
            content: '';
            width: 560px;
            height: 541px;
            left: -115px;
            bottom: -18px;
            display: block;
            position: absolute;
            background: url("../img/video_pattern.svg") 50% 50% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(24);
        overflow: hidden;

        &__media {

            &--float {
                float: right;
                width: rem(280);
                margin-left: rem(32);
                margin-bottom: rem(16);
            }
        }

        &__image {
            border-radius: rem(22);

            &--sm {
                border-radius: rem(12);
            }
        }

        &__content {
            font-size: rem(16);
            line-height: 1.5;

            p {
                margin-bottom: rem(16);

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        &__pagination {
            display: none;
        }

        &__nav {
            width: rem(56);
            height: rem(56);

            i {
                width: rem(27);
            }
        }

        &__pattern {
            display: block;
        }

        &--grid {
            padding: 0;
            flex-direction: row-reverse;
            justify-content: space-between;

            .task__media {
                width: calc(50% - 8px);
                flex-shrink: 0;
            }

            .task__image {
                height: 100%;
            }

            .task__body {
                padding: rem(28) rem(24);
                width: calc(50% - 8px);
                flex-shrink: 0;
            }
        }

        &--video {
            padding: 0;
            flex-direction: row;
            justify-content: space-between;

            .task__media {
                width: calc(50% - 8px);
                flex-shrink: 0;
            }

            .task__body {
                padding: rem(28) rem(24);
                width: calc(50% - 8px);
                flex-shrink: 0;
            }

            .task__pattern {
                width: calc(50% - 8px);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            margin: 0;
            font-size: rem(32);
            line-height: rem(35);
        }

        &__media {

            &--float {
                width: rem(456);
                margin-left: rem(44);
            }
        }

        &--grid {

            .task__body {
                width: calc(50% - 24px);
            }
        }

        &--video {

            .task__media {
                width: rem(452)
            }

            .task__body {
                padding: rem(28) rem(30) rem(28) rem(24);
                width: calc(100% - 476px);
                flex-shrink: 0;
            }

            .task__pattern {
                width: calc(100% - 476px);
            }
        }
    }
}

[data-media] {
    overflow: visible;

    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: rem(452);
        }
    }

    @include media-breakpoint-up(lg) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}

[data-gallery] {
    overflow: visible;

    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: rem(423);
        }
    }
}

.task-video {
    height: 100%;
    overflow: hidden;
    position: relative;
    border-radius: rem(12);

    &__image {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        cursor: pointer;
        position: absolute;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            position: absolute;
            background: rgba(28, 28, 28, 0.4);
        }
    }

    &__play {
        font-size: 0;
        line-height: 0;
        top: calc(50% - 24px);
        left: calc(50% - 24px);
        z-index: 20;
        width: 48px;
        height: 48px;
        fill: white;
        position: absolute;
        border-radius: rem(12);
        border: 1px solid white;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            width: 12px;
            display: block;
            flex-shrink: 0;
        }
    }

    &__source {
        z-index: 1;
        position: relative;
    }

    &--play {

        .task-video__image {
            opacity: 0;
            visibility: hidden;
        }
    }

    &--short {

        video {
            width: 100%;
            height: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        border-radius: rem(22);

        &__play {
            width: 80px;
            height: 80px;
            top: calc(50% - 40px);
            left: calc(50% - 40px);

            i {
                width: 16px;
            }
        }
    }
}
